#pragma once
#include "Entity.h"
#define CS_PEWATERFALLBASE_CREATENAME L"CS_pe_waterfallbase"
//ÆÙ²¼²úÉúÆ÷
class CS_PeWaterfallBase :
    public ActionEntity
{
public:
    CS_PeWaterfallBase();
    void Step() override;
    void SetState(std::wstring stateName, int lr);
    int style = 0;
};

std::shared_ptr<Entity> CreateCS_PeWaterfallBase();